# Field selection

The API provides a generic system to select the fields of the returned items.

To select specific fields, simply add the `fields=list_of_fields` query parameter to the url, where `list_of_fields` is a `comma separated list` of the fields to return. If not set and no particular default value is specified, `all` the available fields will be returned.

{% hint style="info" %}

### Simple field selection example

In this example we get only the `event_id` and the `total_bets` of the popular events

```bash
$ curl --request GET \\
  --url 'https://api.vaix.ai/api/sports/events/popular?fields=event_id,total_bets'
```

{% endhint %}

Not all endpoints support field selection. If field selection is available for an endpoint, then the available fields to select are indicated in the documentation of that endpoint.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/personalization/overview/using-the-api/field-selection.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
